#!/bin/sh

mem=$[`(grep MemTotal /proc/meminfo || echo 524288)| sed 's/[^0-9]//g'`*4]

[ $mem -ge 32948992 ] && mem=32948992

max_disk=$(cat /sys/block/[hsv]d*/size | sort -n -r| head -1)
[ -n "$max_disk" ] || max_disk=0

srootsize=50000000
drootsize=80000000

# Don't use raids under virtualization
if lspci -n | grep -qE '(1013:00b8)|(80ee:beef)|(14ad:0405)|(1af4:100)' ; then
	server_methods='plain'
	mem=$[$mem/4]
	srootsize=$[$srootsize/2]
	drootsize=$[$drootsize/3]
else
	server_methods='raid plain'
fi

var_part_str="(\"/var\" (size 4194304 . #t) (fsim . \"Ext2/3\") (methods $server_methods)))"

# if disk size is less them 120G then
# there is no separate /var partition
if [ "$max_disk" -le 251658240 ] ; then
	var_part_str=''
	srootsize='#t'
fi

cat > /var/cache/alterator/vm-profile.scm << _EOF_
(
(server
(title . "Setup for server")
  (action . trivial)
  (actiondata  ("swap" (size . $(($mem*2))) (fsim . "SWAPFS") (methods $server_methods))
               ("/" (size  . $srootsize ) (fsim . "Ext2/3") (methods $server_methods))
               $var_part_str))
	       )
_EOF_
